Name: 		sysstat
Version: 	11.4.2
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		Monitoring
URL: 		http://pagesperso-orange.fr/sebastien.godard/
Source: 	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.xz
Patch0:		sysstat-10.1.2-fix-format-errors.patch

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
export sa_lib_dir=%{_libdir}/sa 
%configure2_5x \
	--disable-file-attr \
	--disable-stripping

make CFLAGS="%{optflags}"


%install
%make_install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%{name} <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%{_libdir}/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%{name}

cat > %{buildroot}/etc/cron.hourly/%{name} <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%{_libdir}/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%{name}

rm -fr %{buildroot}%{_prefix}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ README.md
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
/var/log/sa


%changelog
* Fri Nov 11 2016 luigiwalser <luigiwalser> 11.4.2-1.mga6
+ Revision: 1066587
- 11.4.2

* Sat Sep 10 2016 luigiwalser <luigiwalser> 11.4.0-1.mga6
+ Revision: 1051351
- 11.4.0

* Wed Aug 10 2016 luigiwalser <luigiwalser> 11.2.5-1.mga6
+ Revision: 1045350
- 11.2.5

* Wed May 25 2016 luigiwalser <luigiwalser> 11.2.4-1.mga6
+ Revision: 1018458
- 11.2.4

* Mon May 09 2016 luigiwalser <luigiwalser> 11.2.3-1.mga6
+ Revision: 1011315
- 11.2.3

* Mon Jan 25 2016 luigiwalser <luigiwalser> 11.2.0-1.mga6
+ Revision: 927201
- 11.2.0

* Sat Dec 26 2015 luigiwalser <luigiwalser> 11.1.8-1.mga6
+ Revision: 915445
- 11.1.8

* Thu Oct 22 2015 daviddavid <daviddavid> 11.1.3-2.mga6
+ Revision: 894181
- fix empty debugfiles adding --disable-stripping configure option

* Sun Feb 22 2015 luigiwalser <luigiwalser> 11.1.3-1.mga5
+ Revision: 816336
- 11.1.3

* Mon Nov 03 2014 luigiwalser <luigiwalser> 11.1.2-1.mga5
+ Revision: 795363
- 11.1.2

* Wed Oct 15 2014 umeabot <umeabot> 11.1.1-3.mga5
+ Revision: 739229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 11.1.1-2.mga5
+ Revision: 689663
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 11.1.1-1.mga5
+ Revision: 672648
- 11.1.1

* Fri Sep 05 2014 luigiwalser <luigiwalser> 11.0.1-1.mga5
+ Revision: 672333
- 11.0.1

* Wed Jun 18 2014 luigiwalser <luigiwalser> 11.0.0-1.mga5
+ Revision: 637953
- 11.0.0

* Sat Mar 22 2014 luigiwalser <luigiwalser> 10.3.1-1.mga5
+ Revision: 606645
- 10.3.1

* Fri Feb 14 2014 luigiwalser <luigiwalser> 10.2.1-1.mga5
+ Revision: 591008
- 10.2.1

* Tue Nov 05 2013 luigiwalser <luigiwalser> 10.2.0-1.mga4
+ Revision: 549750
- 10.2.0

* Sat Oct 19 2013 umeabot <umeabot> 10.1.7-2.mga4
+ Revision: 534770
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 luigiwalser <luigiwalser> 10.1.7-1.mga4
+ Revision: 478745
- 10.1.7

* Mon Jun 10 2013 luigiwalser <luigiwalser> 10.1.6-1.mga4
+ Revision: 441370
- 10.1.6

* Fri May 24 2013 luigiwalser <luigiwalser> 10.1.5-1.mga4
+ Revision: 426754
- 10.1.5

* Mon Jan 21 2013 malo <malo> 10.1.3-3.mga3
+ Revision: 390512
- update RPM group

* Mon Jan 14 2013 umeabot <umeabot> 10.1.3-2.mga3
+ Revision: 383959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 10.1.3-1.mga3
+ Revision: 334744
- 10.1.3

* Sun Oct 07 2012 luigiwalser <luigiwalser> 10.1.2-1.mga3
+ Revision: 303141
- 10.1.2
- update patch 0

* Mon Jul 30 2012 guillomovitch <guillomovitch> 10.1.1-1.mga3
+ Revision: 276001
- new version

* Sun Jun 03 2012 luigiwalser <luigiwalser> 10.0.5-1.mga3
+ Revision: 253498
- 10.0.5

* Sun Apr 15 2012 luigiwalser <luigiwalser> 10.0.4-1.mga2
+ Revision: 230968
- 10.0.4

* Mon Dec 12 2011 guillomovitch <guillomovitch> 10.0.3-1.mga2
+ Revision: 181009
- drop obsolete upgrade trigger
- don't remove logs on uninstallation, no other package do it
- new version
- spec cleanup

* Mon Feb 21 2011 ennael <ennael> 9.6.1-1.mga1
+ Revision: 55077
- imported package sysstat

